using _Workbench.Layers.Modules;
using Quadarax.Foundation.Infrastructure.Layers;
using StructureMap;

namespace _Workbench.Layers
{
    public class DefaultGlobalLayer : GlobalLayer
    {
        public DefaultGlobalLayer(string name) : base(name)
        {

        }

        protected override void OnLayerRegistry()
        {
            AddChildLayer(new DefaultBusinessLayer("BusLayer", this));
        }

        protected override void OnModuleRegistry(IContainer container)
        {
            container.Configure(x=>
                x.For<IModGlobal>().Use<ModGlobal>().Ctor<string>().Is("initialized"));
        }
    }
}
